Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JDBCDataSourceMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced by `JDBCSystemResourceMBean`

public interface JDBCDataSourceMBean
extends DeploymentMBean

This MBean defines a non-transactional JDBC data source.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getConnectionWaitPeriod()` Deprecated. The number of seconds that the system will wait for a free connection to become available if a request is received when there are no free connections in the connection pool.
`String` | `getJNDIName()` Deprecated. The JNDI path to where this Data Source is bound.
`String` | `getJNDINameSeparator()` Deprecated. The JNDI Seperator is used to seperate JNDIName list for this DataSource.
`String` | `getPoolName()` Deprecated. The PoolName attribute applies to legacy data source configurations only.
`int` | `getRowPrefetchSize()` Deprecated. Specifies the number of result set rows to prefetch for a client.
`int` | `getStreamChunkSize()` Deprecated. Specifies the data chunk size for steaming data types.
`boolean` | `isRowPrefetchEnabled()` Deprecated. Specifies whether multiple rows should be "prefetched" (that is, sent from the server to the client) in one server access.
`boolean` | `isWaitForConnectionEnabled()` Deprecated. Specifies whether the system waits for a connection to become available if a request is made when all connections in the connection pool are in use.
`void` | `setConnectionWaitPeriod(int waitseconds)` Deprecated. Sets the value of the ConnectionWaitPeriod attribute.
`void` | `setJNDIName(String name)` Deprecated. Sets the value of the JNDIName attribute.
`void` | `setJNDINameSeparator(String name)` Deprecated. Sets the Separator used for list of different JNDINames for this DataSource.
`void` | `setPoolName(String pool)` Deprecated. Sets the value of the PoolName attribute.
`void` | `setRowPrefetchEnabled(boolean enable)` Deprecated. Sets the value of the RowPrefetchEnabled attribute.
`void` | `setRowPrefetchSize(int prefetch)` Deprecated. Sets the value of the RowPrefetchSize attribute.
`void` | `setStreamChunkSize(int chunk_size)` Deprecated. Sets the value of the StreamChunkSize attribute.
`void` | `setWaitForConnectionEnabled(boolean enable)` Deprecated. Sets the value of the WaitForConnectionEnabled attribute.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getConnectionWaitPeriod

    public int getConnectionWaitPeriod()

  Deprecated.

  The number of seconds that the system will wait for a free connection to become available if a request is received when there are no free connections in the connection pool. (Requires that you enable the system to wait for connections.)

  A WebLogic Server server thread is occupied while waiting for a free connection, which can result in a decrease in system throughput. Therefore, the recommended way to handle the situation is to increase the number of connections in the connection pool.

  Returns:
    The connectionWaitPeriod value
  See Also:
    `#getWaitForConnectionEnabled`
  Default value:
    1
  Minimum value:
    1
  Maximum value:
    60
  A dynamic MBean attribute.
    false

### getJNDIName

    public String getJNDIName()

  Deprecated.

  The JNDI path to where this Data Source is bound.

  Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this Data Source. Note that the old style usage of `DriverManager.getConnection()` or `Driver.connect()` has been deprecated in favor of looking up a Data Source to obtain a connection.

  Returns:
    The jNDIName value

### getJNDINameSeparator

    public String getJNDINameSeparator()

  Deprecated.
  The JNDI Seperator is used to seperate JNDIName list for this DataSource.

  Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource.

  Returns:
    The jNDINameSeparator value

### getPoolName

    public String getPoolName()

  Deprecated.

  The PoolName attribute applies to legacy data source configurations only. Do not set a PoolName for a WebLogic Server 9.0 or later JDBC data source.

  For JDBC data source configurations before WebLogic Server 9.0, the PoolName is the name of the JDBC connection pool that is associated with this data source. Calls from applications to `getConnection()` on this Data Source return a connection from the associated connection pool.

  Returns:
    The poolName value

### getRowPrefetchSize

    public int getRowPrefetchSize()

  Deprecated.

  Specifies the number of result set rows to prefetch for a client.

  The optimal value depends on the particulars of the query. In general, increasing this number will increase performance, until a particular value is reached. At that point further increases do not result in any significant performance increase. Very rarely will increased performance result from exceeding 100 rows. The default value should be reasonable for most situations.

  Returns:
    The rowPrefetchSize value
  Default value:
    48
  Minimum value:
    2
  Maximum value:
    65536

### getStreamChunkSize

    public int getStreamChunkSize()

  Deprecated.

  Specifies the data chunk size for steaming data types.

  Streaming data types (for example resulting from a call to `getBinaryStream()`) will be pulled in sized chunks from WebLogic Server to the client as needed.

  Returns:
    The streamChunkSize value
  Default value:
    256
  Minimum value:
    1
  Maximum value:
    65536
  A dynamic MBean attribute.
    false

### isRowPrefetchEnabled

    public boolean isRowPrefetchEnabled()

  Deprecated.

  Specifies whether multiple rows should be "prefetched" (that is, sent from the server to the client) in one server access.

  When an external client accesses a database using JDBC through WebLogic Server, row prefetching improves performance by fetching multiple rows from the server to the client in one server access. WebLogic Server ignores this setting and does not use row prefetching when the client and WebLogic Server are in the same JVM.

  Returns:
    The rowPrefetchEnabled value
  Default value:
    false
  A dynamic MBean attribute.
    false

### isWaitForConnectionEnabled

    public boolean isWaitForConnectionEnabled()

  Deprecated.

  Specifies whether the system waits for a connection to become available if a request is made when all connections in the connection pool are in use. BEA recommends that you do not use this feature in a production environment.

  A WebLogic Server server thread is occupied while waiting for a free connection, which can result in a decrease in system throughput. Therefore, the recommended way to handle the situation is to increase the number of connections in the connection pool.

  Returns:
    The waitForConnectionEnabled value
  Default value:
    false
  A dynamic MBean attribute.
    false

### setConnectionWaitPeriod

    public void setConnectionWaitPeriod(int waitseconds)

  Deprecated.

  Sets the value of the ConnectionWaitPeriod attribute.

  Parameters:
    `waitseconds` - The new connectionWaitPeriod value
  See Also:
    `getConnectionWaitPeriod()`
  A dynamic MBean attribute.
    false

### setJNDIName

    public void setJNDIName(String name)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the JNDIName attribute.

  Parameters:
    `name` - The new jNDIName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJNDIName()`
  A dynamic MBean attribute.
    false

### setJNDINameSeparator

    public void setJNDINameSeparator(String name)
                              throws InvalidAttributeValueException

  Deprecated.
  Sets the Separator used for list of different JNDINames for this DataSource. Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource.

  Parameters:
    `name` - The new jNDINameSeparator value
  Throws:
    `InvalidAttributeValueException`
  Default value:
    JDBCLegalHelper.JNDI_NAME_SEPARATOR
  Legal null:
    false
  A dynamic MBean attribute.
    false

### setPoolName

    public void setPoolName(String pool)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the PoolName attribute.

  Parameters:
    `pool` - The new poolName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPoolName()`
  A dynamic MBean attribute.
    false

### setRowPrefetchEnabled

    public void setRowPrefetchEnabled(boolean enable)

  Deprecated.

  Sets the value of the RowPrefetchEnabled attribute.

  Parameters:
    `enable` - The new rowPrefetchEnabled value
  See Also:
    `isRowPrefetchEnabled()`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setRowPrefetchSize

    public void setRowPrefetchSize(int prefetch)

  Deprecated.

  Sets the value of the RowPrefetchSize attribute.

  Parameters:
    `prefetch` - The new rowPrefetchSize value
  See Also:
    `getRowPrefetchSize()`
  A dynamic MBean attribute.
    false

### setStreamChunkSize

    public void setStreamChunkSize(int chunk_size)

  Deprecated.

  Sets the value of the StreamChunkSize attribute.

  Parameters:
    `chunk_size` - The new streamChunkSize value
  See Also:
    `getStreamChunkSize()`

### setWaitForConnectionEnabled

    public void setWaitForConnectionEnabled(boolean enable)

  Deprecated.

  Sets the value of the WaitForConnectionEnabled attribute.

  Parameters:
    `enable` - The new waitForConnectionEnabled value
  See Also:
    `#getWaitForConnectionEnabled`
  Default value:
    false
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD